Skip to main content
GET
Get sandbox metrics

Authorizations

X-API-Key
string
header
required

Path Parameters

sandboxID
string
required

Query Parameters

start
integer<int64>

Unix timestamp for the start of the interval, in seconds, for which the metrics are returned.

Required range: x >= 0
end
integer<int64>

Unix timestamp for the end of the interval, in seconds, for which the metrics are returned.

Required range: x >= 0

Response

Successfully returned the sandbox metrics

timestamp
string<date-time>
required
deprecated

Timestamp of the metric entry

timestampUnix
integer<int64>
required

Timestamp of the metric entry in Unix time (seconds since epoch)

cpuCount
integer<int32>
required

Number of CPU cores

cpuUsedPct
number<float>
required

CPU usage percentage

memUsed
integer<int64>
required

Memory used in bytes

memTotal
integer<int64>
required

Total memory in bytes

memCache
integer<int64>
required

Cached memory (page cache) in bytes

diskUsed
integer<int64>
required

Disk used in bytes

diskTotal
integer<int64>
required

Total disk space in bytes